<div class="flex-center row">
    <div *ngIf="result" class="result-summary-container" style="max-width: 40em">
        <div class="flex-center row">
            <div class="flex-center column">
                <div>
                    <img class="details-image" [src]="imageLinksService.getCpuImageLink(result.system.cpu.vendor)"
                         [alt]="result.system.cpu.vendor + 'logo'">
                    <img class="details-image" [src]="imageLinksService.getBenchmarkImage(result.uuid)"
                         [alt]="result.name + 'representative image'">
                </div>
                <b style="font-size: larger">{{result.system.cpu.modelName}}</b>
            </div>
            <div style="margin: 2em">
                <app-group-box [title]="result.name">
                    <div class="text-center">{{this.valueConverter.toStringSI(result.score, result.scoreSpecification.unit)}}</div>
                </app-group-box>
            </div>
        </div>
        <div class="details-grid">
            <b>Timestamp:</b><span>{{result.timeStamp.toLocaleString()}}</span>
            <b>Benchmark name:</b><span>{{result.name}}</span>
            <b>CPU model:</b><span>{{result.system.cpu.modelName}}</span>
            <b>CPU frequency:</b><span>{{this.valueConverter.toStringSI(result.system.cpu.frequency, 'HZ')}}</span>
            <b>Total memory:</b><span>{{this.valueConverter.toStringIEC(result.system.memory.totalSize, 'B')}}</span>
            <b>Os:</b><span>{{result.system.os.name}}</span>
            <b>Stable timing:</b><span class="stable-timing" [ngClass]="{'unstable-timing': result.system.timing.unstableTiming}">{{result.system.timing.unstableTiming ? "No": "Yes"}}</span>
        </div>
    </div>

    <div *ngIf="useLineChart" class="result-chart-container">
        <ngx-charts-line-chart
                [legend]="false"
                [showXAxisLabel]="true"
                [showYAxisLabel]="true"
                [xAxis]="true"
                [yAxis]="true"
                [xAxisLabel]="xAxisLabel"
                [yAxisLabel]="yAxisLabel"
                [yAxisTickFormatting]="yTickFormatter"
                [results]="data"
        >
            <ng-template #seriesTooltipTemplate let-model="model">
                <div class="area-tooltip-container">
                    <div *ngFor="let tooltipItem of model" class="tooltip-item">
                        <span class="tooltip-item-color" [style.background-color]="tooltipItem.color"></span>
                        {{ this.formatNumberSI(tooltipItem.value) }}
                    </div>
                </div>
            </ng-template>

            <ng-template #tooltipTemplate let-model="model">
                <div class="area-tooltip-container">
                    {{ this.formatNumberSI(model.value) }}
                </div>
            </ng-template>
        </ngx-charts-line-chart>
    </div>
</div>
